package com.gxzc.zen.common.properties

import org.springframework.boot.context.properties.ConfigurationProperties
import org.springframework.stereotype.Component

/**
 * FileSystem配置
 * @author NorthLan
 * @date 2018/9/5
 * @url https://noahlan.com
 */
@Component
@ConfigurationProperties(prefix = "fs")
open class FSProperties {
    var maxFileSize: Long = 4294967296L // 4 * 1024 * 1024 * 1024
    var chunkSize: Long = 1048576L // 1 * 1024 * 1024
}